﻿using System;

namespace Encompass
{
    public abstract class OrderedRenderer<TComponent> : Renderer where TComponent : struct, IComponent
    {
        public abstract void Render(Guid drawComponentID, TComponent drawComponent);

        internal void InternalRender(Guid drawComponentId, IComponent component)
        {
            Render(drawComponentId, (TComponent)component);
        }
    }
}
